import org.apache.xalan.xslt.*;

/**
 *  Usage:  java XslTester <input XML> <input XSL> <output file>
 */
public class XslTester{

	public static void main(String[] args) {

		try {
			// Verify the correct arguments are passed in
			if (args.length != 3) {
				System.out.println("Usage:  java XslTester <input XML> <input XSL> <output file>");
				System.exit(1);
			}

			System.out.println("Processing: " + args[0] + " and " + args[1]);

			// Step 1:  Get a reference to the XSLT Processor
			XSLTProcessor myEngine = XSLTProcessorFactory.getProcessor();

			// Step 2:  Get the XML input document
			XSLTInputSource xmlSource = new XSLTInputSource(args[0]);

			// Step 3:  Get the XSLT style sheet
			XSLTInputSource xslStylesheet = new XSLTInputSource(args[1]);

			// Step 4:  Setup the output target
			XSLTResultTarget xmlOutput = new XSLTResultTarget(args[2]);

			// Step 5:  Now process it!
			myEngine.process(xmlSource, xslStylesheet, xmlOutput);

			System.out.println("Created => " + args[2]);
			System.out.println("Done!");
		}
		catch (Exception exc) {
			exc.printStackTrace();
		}
	}
}