<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			      xmlns:fo="http://www.w3.org/1999/XSL/Format"
			      version="1.0">

<xsl:template match="/">

<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <fo:layout-master-set>
    <!-- layout information -->
    <fo:simple-page-master master-name="simple"
                  page-height="11in" 
                  page-width="8.5in"
                  margin-top="1in" 
                  margin-bottom="2in" 
                  margin-left="1.25in" 
                  margin-right="1.25in">
      <fo:region-body margin-top="0.5in"/>
      <fo:region-before extent="3cm"/>
      <fo:region-after extent="1.5cm"/>
    </fo:simple-page-master>
  </fo:layout-master-set>
  <!-- end: defines page layout -->

  <fo:page-sequence master-name="simple">

    <fo:flow flow-name="xsl-region-body">

      <!-- this defines a level 1 heading with orange background -->
      <fo:block font-size="18pt" 
            font-family="sans-serif" 
            line-height="24pt"
            space-after.optimum="15pt"
            background-color="orange"
            color="white"
            text-align="center"
            padding-top="3pt">
			Ez Books Online
      </fo:block>

      <!-- this defines a level 2 heading -->
      <fo:block font-size="14pt" 
            font-family="sans-serif" 
            space-after.optimum="8pt">
			Books
      </fo:block>
     
	<!-- create a list for the books -->
	<fo:list-block >
		<xsl:for-each select="booklist/book" >

		<!-- list item -->
		<fo:list-item>
			<!-- insert number -->
			<fo:list-item-label end-indent="label-end()">
				<fo:block><xsl:number/></fo:block>
			</fo:list-item-label>

			<!-- list text:  author and title --> 
			<fo:list-item-body start-indent="body-start()">
				<fo:block><xsl:value-of select="author"/> - <xsl:value-of select="title"/></fo:block>
			</fo:list-item-body>
		</fo:list-item>
		</xsl:for-each>
	</fo:list-block>
	<!-- end list -->
	
	
    </fo:flow> 
  </fo:page-sequence>
</fo:root>

</xsl:template>
</xsl:stylesheet>
