<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
			      xmlns:fo="http://www.w3.org/1999/XSL/Format"
			      version="1.0">

<xsl:template match="/">


<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <fo:layout-master-set>
    <!-- layout information -->
    <fo:simple-page-master master-name="simple"
                  page-height="11in" 
                  page-width="8.5in"
                  margin-top="1in" 
                  margin-bottom="2in" 
                  margin-left="1.25in" 
                  margin-right="1.25in">
      <fo:region-body margin-top="0.5in"/>
      <fo:region-before extent="3cm"/>
      <fo:region-after extent="1.5cm"/>
    </fo:simple-page-master>
  </fo:layout-master-set>
  <!-- end: defines page layout -->


  <fo:page-sequence master-name="simple">

    <fo:flow flow-name="xsl-region-body">

      <!-- this defines a level 1 heading with orange background -->
      <fo:block font-size="18pt" 
            font-family="sans-serif" 
            line-height="24pt"
            space-after.optimum="15pt"
            background-color="orange"
            color="white"
            text-align="center"
            padding-top="3pt">
			Ez Books Online
      </fo:block>

    <!-- table start -->
    <fo:table border-style="solid" border-width=".1mm" >
    	<!-- define column widths -->
      <fo:table-column column-width="120pt"/>
      <fo:table-column column-width="200pt"/>
      <fo:table-column column-width="80pt"/>

	<fo:table-header>
		<fo:table-row >
			<fo:table-cell border-style="solid" border-width=".1mm"><fo:block font-weight="bold">Author</fo:block></fo:table-cell>
			<fo:table-cell border-style="solid" border-width=".1mm"><fo:block font-weight="bold">Title</fo:block></fo:table-cell>
			<fo:table-cell border-style="solid" border-width=".1mm"><fo:block font-weight="bold">Price (USD)</fo:block></fo:table-cell>
		</fo:table-row>
	</fo:table-header>
	
	<fo:table-body>
		<!-- Perform loop for each book in the book list -->
		<xsl:for-each select="booklist/book" >

			<fo:table-row>
				<fo:table-cell border-style="solid" border-width=".1mm"><fo:block><xsl:value-of select="author" /></fo:block></fo:table-cell>
				<fo:table-cell border-style="solid" border-width=".1mm"><fo:block><xsl:value-of select="title" /></fo:block></fo:table-cell>
				<fo:table-cell border-style="solid" border-width=".1mm"><fo:block><xsl:value-of select="price" /></fo:block></fo:table-cell>
			</fo:table-row>
	
		</xsl:for-each>	
	</fo:table-body>

	</fo:table>
	<!-- table end -->
	
    </fo:flow> 
  </fo:page-sequence>
</fo:root>

</xsl:template>
</xsl:stylesheet>
